### Class

# WebKit2WebExtension URIResponse

#### Description [src]

    class WebKit2WebExtension.URIResponse : GObject.Object {
      parent: GObject
    }

Represents an URI response.

A `WebKitURIResponse` contains information such as the URI, the status code, the content length, the mime type, the HTTP status or the suggested filename.

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### webkit_uri_response_get_content_length

Get the expected content length of the `WebKitURIResponse`.

###### webkit_uri_response_get_http_headers

Get the HTTP headers of a `WebKitURIResponse` as a `SoupMessageHeaders`.

Available since: 2.6

###### webkit_uri_response_get_mime_type

Gets the MIME type of the response.

###### webkit_uri_response_get_status_code

Get the status code of the `WebKitURIResponse`.

###### webkit_uri_response_get_suggested_filename

Get the suggested filename for `response`.

###### webkit_uri_response_get_uri

Gets the URI which resulted in the response.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit2WebExtension.URIResponse:content-length

The expected content length of the response.

###### WebKit2WebExtension.URIResponse:http-headers

The HTTP headers of the response, or `NULL` if the response is not an HTTP response.

Available since: 2.6

###### WebKit2WebExtension.URIResponse:mime-type

The MIME type of the response.

###### WebKit2WebExtension.URIResponse:status-code

The status code of the response as returned by the server.

###### WebKit2WebExtension.URIResponse:suggested-filename

The suggested filename for the URI response.

###### WebKit2WebExtension.URIResponse:uri

The URI for which the response was made.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2WebExtensionURIResponseClass {
      GObjectClass parent_class;
      void (* _webkit_reserved0) (
    void
      );
      void (* _webkit_reserved1) (
    void
      );
      void (* _webkit_reserved2) (
    void
      );
      void (* _webkit_reserved3) (
    void
      );

    }

No description available.

###### Class members

`parent_class` |
    GObjectClass
| No description available.
`_webkit_reserved0` |
    void (* _webkit_reserved0) (
    void
      )
| No description available.
`_webkit_reserved1` |
    void (* _webkit_reserved1) (
    void
      )
| No description available.
`_webkit_reserved2` |
    void (* _webkit_reserved2) (
    void
      )
| No description available.
`_webkit_reserved3` |
    void (* _webkit_reserved3) (
    void
      )
| No description available.